package com.jwipc.sys.convert;

import com.jwipc.sys.dto.FactoryDTO;
import com.jwipc.sys.entity.Factory;
import com.jwipc.sys.model.po.FactoryPO;
import org.mapstruct.Mapper;

import java.util.List;


@Mapper(componentModel = "spring")
public interface FactoryConvert {
    List<FactoryDTO> po2PageListDTO(List<FactoryPO> factoryPOS);
    FactoryDTO po2DTO(FactoryPO factoryPO);

    Factory dto2Entity(FactoryDTO param);
}
